Skip to content

Create an HTTP monitor.

POST
/http/job
curl --request POST \
--url https://api.siteqwality.com/http/job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "check_regions": [ "example" ], "min_healthy_regions": 1, "friendly_name": "example", "follow_redirects": true, "final_uri": "example", "method": "example", "keyword_search": "example", "keyword_search_inverted": true, "keyword_search_case_sensitive": true, "keyword_search_regex": true, "timeout_ms": 1, "uri": "example", "request_body": "example", "content_type": "json", "auth_type": "basic", "auth_username": "example", "auth_password": "example", "auth_bearer_token": "example", "success_http_codes": [ 1 ], "failure_http_codes": [ 1 ], "custom_http_headers": "example", "run_interval_seconds": 1, "run_interval_thirty_seconds": true, "group_notification_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "monitor_tls": true, "monitor_dns": true, "monitor_page_speed": true, "tags": [ "example" ] }'

Creates a new HTTP check that runs on the specified schedule. Optionally also provisions paired TLS, DNS, and page-speed monitors for the same URL.

Media type application/json
object
check_regions
array | null
min_healthy_regions
integer | null format: int32
friendly_name
string | null
follow_redirects
boolean | null
final_uri
string | null
method
required
string
keyword_search
string | null
keyword_search_inverted
boolean | null
keyword_search_case_sensitive
boolean | null
keyword_search_regex
boolean | null
timeout_ms
required
integer format: int32
uri
required
string
request_body
string | null
content_type
One of:
null
auth_type
One of:
null
auth_username
string | null
auth_password
string | null
auth_bearer_token
string | null
success_http_codes
array | null
failure_http_codes
array | null
custom_http_headers
object | null
run_interval_seconds
required
integer format: int32
run_interval_thirty_seconds
boolean | null
group_notification_ids
array | null
monitor_tls
boolean | null
monitor_dns
boolean | null
monitor_page_speed
boolean | null
tags
array | null

HTTP monitor created

Invalid request body or feature not available on plan

Missing or invalid authentication

Feature requires a paid plan

Internal server error